Available in VPC
Edit the DB user's information registered in a Cloud DB for MySQL instance.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | POST | /vmysql/v2/changeCloudMysqlUserList |
Request headers
For headers common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
cloudMysqlInstanceNo |
String | Required | Instance number of Cloud DB for MySQL
|
cloudMysqlUserList.N.name |
List[String] | Required | List of user IDs to edit DB user information for
|
cloudMysqlUserList.N.hostIp |
List[String] | Required | List of IP addresses to access MySQL Server
|
cloudMysqlUserList.N.password |
List[String] | Optional | DB user account password
|
cloudMysqlUserList.N.authority |
List[String] | Required | DB user permissions
|
cloudMysqlUserList.N.isSystemTableAccess |
List<Boolean> | Optional | System table accessibility
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/changeCloudMysqlUserList
?regionCode=KR
&cloudMysqlInstanceNo=****890
&cloudMysqlUserList.1.name=testuser
&cloudMysqlUserList.1.hostIp=%
&cloudMysqlUserList.1.password=********
&cloudMysqlUserList.1.authority=CRUD
&cloudMysqlUserList.1.isSystemTableAccess=true' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response status codes
For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) response status codes.
Response example
The following is a sample response.
- If
responseFormatType=json
{
"changeCloudMysqlUserListResponse": {
"requestId": "eb46ade8-****-****-****-133bcbc382c1",
"returnCode": "0",
"returnMessage": "success"
}
}
- If
responseFormatType=xml(default)
<?xml version="1.0" encoding="UTF-8"?>
<changeCloudMysqlUserListResponse>
<requestId>eb46ade8-****-****-****-133bcbc382c1</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
</changeCloudMysqlUserListResponse>